Ubuntu

network-manager openvpn, pptp, and vpnc plugin packages are missing the actual plugins.

Reported by Oded Arbel on 2009-07-04
58
This bug affects 11 people
Affects Status Importance Assigned to Milestone
network-manager-openvpn (Ubuntu)
Critical
Cody A.W. Somerville
network-manager-pptp (Ubuntu)
Critical
Cody A.W. Somerville
network-manager-vpnc (Ubuntu)
Critical
Cody A.W. Somerville

Bug Description

Binary package hint: network-manager-openvpn

after the Karmic update today, network-manager's openvpn client does not work anymore. looking in the network-manager-openvpn package, it contains only documents:

$ dpkg -L network-manager-openvpn
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/network-manager-openvpn
/usr/share/doc/network-manager-openvpn/README
/usr/share/doc/network-manager-openvpn/AUTHORS
/usr/share/doc/network-manager-openvpn/copyright
/usr/share/doc/network-manager-openvpn/changelog.Debian.gz

ProblemType: Bug
Architecture: amd64
Date: Sat Jul 4 18:39:44 2009
DistroRelease: Ubuntu 9.10
Package: network-manager-openvpn 0.7.1-0ubuntu1
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-1.14-generic
SourcePackage: network-manager-openvpn
Uname: Linux 2.6.31-1-generic x86_64

Oded Arbel (oded-geek) wrote :
lithorus (lithorus) wrote :

It seems that it also affects the vpnc and pptp plugins.

Changed in network-manager-openvpn (Ubuntu):
status: New → Confirmed
Changed in network-manager-openvpn (Ubuntu):
importance: Undecided → Critical
status: Confirmed → Triaged
Changed in network-manager-openvpn (Ubuntu):
assignee: nobody → Cody A.W. Somerville (cody-somerville)
status: Triaged → In Progress
Changed in network-manager-openvpn (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-openvpn - 0.7.1-0ubuntu2

---------------
network-manager-openvpn (0.7.1-0ubuntu2) karmic; urgency=low

  * debian/rules:
    - Update DEB_DESTDIR to $(CURDIR)/debian/network-manager-openvpn instead of
      $(CURDIR)/debian/tmp/ so that the files we build actually get installed.
    - Fixes LP: #395541
  * debian/control:
    - Add missing dependency on ${misc:Depends} for network-manager-openvpn.
    - Bump standards version to 3.8.2.

 -- <email address hidden> (Cody A.W. Somerville) Mon, 06 Jul 2009 23:36:29 -0300

Changed in network-manager-openvpn (Ubuntu):
status: Fix Committed → Fix Released
Artem Popov (artfwo) wrote :

Please fix this for PPTP as well!

Changed in network-manager-pptp (Ubuntu):
assignee: nobody → Cody A.W. Somerville (cody-somerville)
importance: Undecided → Critical
status: New → In Progress
Changed in network-manager-pptp (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-pptp - 0.7.1-0ubuntu2

---------------
network-manager-pptp (0.7.1-0ubuntu2) karmic; urgency=low

  * debian/rules:
    - Update DEB_DESTDIR to $(CURDIR)/debian/network-manager-openvpn instead of
      $(CURDIR)/debian/tmp/ so that the files we build actually get installed.
    - Fixes LP: #395541
  * debian/control:
    - Bump standards version to 3.8.2.
  * debian/compat: Bump to compat version 5 as version 4 is deprecated.
  * debian/network-manager-pptp.preinst:
    - Add missing #DEBHELPER# token to maintainer script.
    - Add 'exit 0' to end of script for good 'posture'.
    - Set the -e flag to ensure that the script's execution is aborted when any
      executed command fails.
  * debian/copyright: Updated copyright file to meet debian standards.

 -- <email address hidden> (Cody A.W. Somerville) Tue, 07 Jul 2009 08:15:41 -0300

Changed in network-manager-pptp (Ubuntu):
status: Fix Committed → Fix Released
Changed in network-manager-vpnc (Ubuntu):
assignee: nobody → Cody A.W. Somerville (cody-somerville)
importance: Undecided → Critical
status: New → In Progress

Oops. I made a typo in the changelog for network-manager-pptp. I actually updated DEB_DESTDIR to $(CURDIR)/debian/network-manager-pptp and not $(CURDIR)/debian/network-manager-openvpn :)

Changed in network-manager-vpnc (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-vpnc - 0.7.1-0ubuntu2

---------------
network-manager-vpnc (0.7.1-0ubuntu2) karmic; urgency=low

  * debian/rules:
    - Update DEB_DESTDIR to $(CURDIR)/debian/network-manager-vpnc instead of
      $(CURDIR)/debian/tmp/ so that the files we build actually get installed.
    - Fixes LP: #395541
  * debian/control:
    - Add missing dependency on ${misc:Depends} for network-manager-vpnc.
    - Bump standards version to 3.8.2.

 -- <email address hidden> (Cody A.W. Somerville) Tue, 07 Jul 2009 08:57:30 -0300

Changed in network-manager-vpnc (Ubuntu):
status: Fix Committed → Fix Released
summary: - network-manager openvpn package has no implementation
+ network-manager openvpn, pptp, and vpnc plugin packages are missing the
+ actual plugins.
Changed in network-manager-openvpn (Ubuntu):
status: Fix Released → Fix Committed
Changed in network-manager-openvpn (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers